
/* GOOGLE FONTS CDN LINK */
@import url('https://fonts.googleapis.com/css2?family=Heebo:wght@400;500;700;900&display=swap');


/* SITE MAIN STYLES */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Heebo', sans-serif;
}

.container {
    width: 90%;
    padding: 0 2%;
    margin: 0 auto;
}

.menuIcon {
    display: none !important;
}

.activePage {
    color: #FF6464 !important;
    border-bottom: 2px solid #FF6464 !important;
}

/* NAVBAR STYLES */

header {
    height: 100vh;
    display: flex;
    align-items: center;
    flex-direction: column;
}

nav {
    height: 100px;
    display: flex;
    align-items: center;
    text-align: center;
    width: 100%;
    padding: 10px 0;
    box-shadow: -3px 14px 35px 4px rgba(0,0,0,0.39);
    -webkit-box-shadow: -3px 14px 35px 4px rgba(0,0,0,0.39);
    -moz-box-shadow: -3px 14px 35px 4px rgba(0,0,0,0.39);
}

.navbar {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 20px 0;
}

.mwText {
    font-family:  'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    font-style: normal;
    font-weight: 700;
    font-size: 44px;
    color: #21243D;
    cursor: pointer;
    transition: 0.5s ease-in-out;
}

.mwTextLink {
    text-decoration: none;
}

.mwTextLink,
.mwText:hover ,
.mwText:focus {
    outline: none;
    transform: scale(0.90) translateX(5px) translateY(10px);
}

.navList {
    display: flex;
    list-style-type: none;
}

.navLinks {
    font-family: 'Heebo';
    font-style: normal;
    font-weight: 500;
    font-size: 20px;
    line-height: 29px;
    color: #000000;
    margin: 0 15px;
    text-decoration: none;
    text-transform: uppercase;
    cursor: pointer;
    transition: 0.5s ease-in-out;
    margin-bottom: 2px;
    border-bottom: 2px solid #fff;  

}

.navLinks:hover ,
.navLinks:focus {
    color: #FF6464;
    outline: none;
    border-bottom: 2px solid #FF6464;
}


/* HERO PAGE STYLES */

.heroWrapper {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-top: 50px;
}

.heroImg {
    width: 450px;
    height: 450px;
    border-radius: 50%;
    animation: rotate 10s 1;
}

@keyframes  rotate {
    0% {
        transform: rotate(0);
    }

    100% {
        transform: rotate(360deg);
    }
}

.heroHeader {
    font-family: 'Heebo';
    font-style: normal;
    font-weight: 700;
    font-size: 50px;
    color: #21243D;
    margin-bottom: 40px;
}

.heroText {
    font-family: 'Heebo';
    font-style: normal;
    font-weight: 400;
    font-size: 18px;
    color: #21243D;
    margin-bottom: 40px;
    padding-right: 50px;
}

.heroBtn {
    font-family: 'Heebo';
    font-style: normal;
    font-weight: 500;
    font-size: 20px;
    color: #FFFFFF;
    padding: 9px 20px;
    background: #FF6464;
    border-radius: 2px;
    text-decoration: none;
    border: 2px solid #fff;
    cursor: pointer;
    transition: 0.5s ease-in-out;
}

.heroBtn:hover, 
.heroBtn:focus {
    background-color: #fff;
    color: #FF6464;
    border: 2px solid #FF6464;
    border-radius: 10px;
}

b {
    color: #FF6464;
}

/* SOCIAL MEDIA CONTACT LINKS */

.socialLinkList {
    display: flex;
    list-style-type: none;
    margin-top: 50px;
}

.socialLinksLink {
    margin: 0 10px;
}

.socialLinksLink i {
    font-size: 30px;
    color: #FF6464;
    cursor: pointer;
    transition: 1s ease-in-out;
}

.socialLinksLink i:hover {
    color: #21243D;
}


/* MAIN PART STARTED */

/* RECENT POSTS SECTION STARTED */

.recentPosts {
    margin-top: 50px;
    padding: 20px;
    background: #EDF7FA;
}

.recentPostsHeader {
    font-family: 'Heebo';
    font-style: normal;
    font-weight: 400;
    font-size: 22px;
    color: #21243D;
    margin: 10px 0;
}

.recentPostWorks {
    display: grid;
    grid-template-columns: repeat(2 , 1fr);
    grid-gap: 20px;
}

.worksCard {
    display: flex;
    align-items: flex-start;
    flex-direction: column;
    padding: 20px;
    background: #FFFFFF;
    box-shadow: 0px 4px 10px rgba(187, 225, 250, 0.25);
    border-radius: 4px;
    border: 2px solid #fff;
    cursor: pointer;
    transition: 0.5s ease-in-out;
}

.worksCard:hover, 
.worksCard:focus {
    border-radius: 20px;
    border: 2px solid #FF6464;
}

.worksCardTitle {
    font-family: 'Heebo';
    font-style: normal;
    font-weight: 700;
    font-size: 26px;
    color: #21243D;
    margin-bottom: 17px;
}

.worksCardDateName {
    width: 100%;
    display: flex;
    align-items: flex-start;
    margin-bottom: 20px;
}

.worksCardDateInfo {
    font-family: 'Heebo';
    font-style: normal;
    font-weight: 400;
    font-size: 18px;
    color: #21243D;
}

.worksCardDateInfo:nth-child(1), 
.worksCardDateInfo:nth-child(2) {
    margin-right: 50px;
}

.worksCardComment {
    font-family: 'Heebo';
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    color: #21243D;
}

.recentPostsSiteLinks {
    font-family: 'Heebo';
    font-style: normal;
    font-weight: 500;
    font-size: 15px;
    color: #FFFFFF;
    background: #FF6464;
    border-radius: 2px;
    border: 2px solid #fff;
    padding: 5px 10px; 
    margin: 10px 0;
    text-decoration: none;
    cursor: pointer;
    transition: 1s ease-in-out;
}

.recentPostsSiteLinks:hover,
.recentPostsSiteLinks:focus {
    background-color: #fff;
    border: 2px solid #FF6464;
    color: #FF6464;
    border-radius: 22px;
}


/* DESING PART STARTED */

.deginsWorksHeader {
    font-family: 'Heebo';
    font-style: normal;
    font-weight: 400;
    font-size: 22px;
    color: #21243D;
}

.designWorksWrapper {
    margin-top: 50px;
}

.designWorkCardWrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    flex-wrap: wrap;
    padding: 20px;
}

.designWorkCards {
    width: 100%;
    display: flex; 
    justify-content: center;
    border-bottom: 2px solid #E0E0E0;
    padding-bottom: 20px;
    margin: 20px 0;
}

.designCardsImg {
    width: 350px;
    cursor: pointer;
    transition: 0.5s ease-in-out;
}

.designCardsImg:hover {
    transform: translateY(-5px);
}

.designWorksCardsInfo {
    padding-left: 40px;
}

.designCardsTitle {
    font-family: 'Heebo';
    font-style: normal;
    font-weight: 700;
    font-size: 30px;
    color: #21243D;
    margin-bottom: 17px;
}

.designCardsDetails {
    display: flex;
    align-items: center;
}

.designYear {
    font-family: 'Heebo';
    font-style: normal;
    font-weight: 900;
    font-size: 18px;
    color: #FFFFFF;
    padding: 5px 15px;
    background: #142850;
    border-radius: 16px;
    margin-right: 40px;
}

.desingCardsComment {
    width: 594px;
    font-family: 'Heebo';
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    color: #21243D;
    margin-top: 22px;
}


/* FOOTER PART STARTED */


.socialFooterLinkList {
    display: flex;
    align-items: center;
    justify-content: center ;
    text-align: center;
    list-style-type: none;
    margin: 20px 0;
}

.socialFooterLinksLink {
    font-size: 25px;
    margin: 0 20px;
    color: #21243D;
    cursor: pointer;
    transition: 0.5s ease-in-out;
}

.socialFooterLinksLink:hover {
    color: #FF6464;
    transform: scale(1.1);
}


/* MEDIA QUERIES */


@media screen and (max-width: 1300px) {

    .designWorkCards {
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
        text-align: center !important;
    }

    .designCardsDetails {
        display: flex;
        align-items: center;
        justify-content: space-evenly;
        text-align: center;
    }

    .designYear {
        margin-right: 0;
    }

    .designWorksCardsInfo {
        padding-left: 0;
    } 

}

@media screen and (max-width: 1000px) {
    
    .menuIcon {
        display: block !important;
        font-size: 24px;
    }

    .menuIcon:active {
        color: #FF6464;
    }

    nav {
        padding: 2% 0;
        text-align: center;
        box-shadow: none;
        margin-bottom: 0;
    }

    .navbar {
        padding: 0 !important;
        margin-bottom: 0;
    }
    

    .navList {
        width: 100%;
        height: auto;
        position: fixed;
        top: 19%;
        left: -100%;
        right: 0;
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
        font-weight: 900;
        background: url(Images/MW-logo.jpg)center/cover !important;
        padding: 0 20px;
        cursor: pointer;
        transition: 1s ease-in-out;
    }

    .active {
        left: 0;
        transition: 1s ease-in-out;
    }

    .navItem {
        margin: 10px 0;
        padding: 15px;
    }

    .navLinks {
        font-size: 20px;
        color: #fff;
        border-bottom: 2px solid transparent #fff;
    }
    
    .mwText {
        font-size: 40px;
    }

    /* HERO STYLES */

    header {
        height: auto;
    }

    .heroWrapper {
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
        text-align: center;
    }

    .heroHeader {
        font-size: 40px;
    }

    .heroImgSection {
        margin-top: 50px;
    }

    .heroImg {
        width: 300px;
        height: 300px;
    }

    .socialLinksLink i {
        font-size: 20px;
        color: #FF6464;
    } 

    .heroText {
        padding-right: 0;
    }

    /* MAIN PART STARTED */
    
    .recentPostsHeader {
        text-align: center;
    }

    .recentPostWorks {
        display: grid;
        grid-template-columns: repeat(1 , 1fr);
    }

    .worksCard {
        display: flex;
        align-items: center;
        justify-content: center;
        text-align: center;
    }

    .worksCardDateName {
        width: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .designCardsImg {
        width: 300px;
    }

    .designCardsTitle {
        font-size: 25px;
        margin-top: 20px;
    }

    .desingCardsComment {
        width: 100%;
    }

}

@media screen and (max-width: 600px) {

    .navItem {
        margin: 5px 0;
        padding: 15px;
    }

    .navLinks {
        font-size: 18px;
    }

    .heroHeader {
        font-size: 35px;
    }

    .heroBtn {
        font-size: 16px;
        padding: 5px 10px;
    }

    .heroImg {
        width: 250px;
        height: 250px;
    }

    .socialLinksLink i {
        font-size: 19px;
        color: #FF6464;
    } 

    /* MAIN PART STARTED */

    .recentPostsHeader {
        font-size: 25px;
    }

    .worksCardDateName {
        width: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
    }
    
    .worksCardDateInfo:nth-child(1) {
        margin-right: 0;
    }

    .worksCardDateInfo:nth-child(2) {
        display: none;
    }

    .worksCard {
        padding: 10px;
    }

    .worksCardTitle {
        font-size: 20px;
    }

    .worksCardDateInfo {
        font-size: 16px;
    }

}

@media screen and (max-width: 400px) {

    .mwText {
        font-size: 35px;
    }

    .navLinks {
        font-size: 15px;
    }

    .heroHeader {
        font-size: 34px;
    }

    .heroText {
        font-size: 18px;
    }

    .heroBtn {
        font-size: 16px;
        padding: 5px 8px;
    }

    .socialLinksLink i {
        font-size: 17px;
        color: #FF6464;
    } 

    .heroImg {
        width: 200px;
        height: 200px;
        margin-top: 20px;
    }

    /* MAIN PART STARTED */

    .recentPostsHeader {
        font-size: 20px;
    }

    .worksCardTitle {
        font-size: 18px;
    }

    .worksCardDateInfo, .worksCardComment {
        font-size: 14px;
    }

    /* DESING PART STARTED */

    .designCardsImg {
        width: 250px;
    }

    .designCardsTitle {
        font-size: 20px;
    }

    .desingName, .designYear {
        font-size: 18px;
    }

    .desingCardsComment {
        font-size: 18px;
    }

}

@media screen and (max-width: 300px) {

    .heroHeader {
        font-size: 25px;
    }

    .heroText {
        font-size: 15px;
    }

    /* MAIN PART STARTED */

    .recentPostsHeader {
        font-size: 19px;
    }

    /* DESING PART STARTED */
    .designCardsImg {
        width: 200px;
    }

    .designCardsTitle {
        font-size: 19px;
    }

    .desingName, .designYear {
        font-size: 17px;
    }

    .desingCardsComment {
        font-size: 17px;
    }

}